
extern DATAFILE *datafile;
extern BITMAP *background;
extern BITMAP *collisionmap;
extern BITMAP *vscreen;
extern int backgroundWidth;
extern int backgroundHeight;
void ShowError(const char *msg);
int randombetween(int min, int max);
void play_sound(int soundid, int speed, int vol);

const int NumLevels = 6;

/*
 * The following are nasty hacks to work around compiler / library
 * incompatibilities
 */

// Define this if your compiler (MSVC 6) gets the scope of "for"
// variables wrong according to C++
// #define BROKEN_FOR_SCOPE

#ifdef BROKEN_FOR_SCOPE
	#define for if(0);else for
#endif

// This should be pretty safe. Just include math.h first.
// Hack in case this happens
#if !defined(M_PI)
	#define M_PI 3.14159
#endif

